public aspect Aspect1 {
    pointcut pointGetX_Called() : call(* Point.getX());
    
    before() : pointGetX_Called() {
	System.out.println("Aspect1 advice called before point.getX()");
    }

    pointcut pointSetX_Called(int x) : call(void Point.setX(int)) && args(x);

    after(int x) : pointSetX_Called(x) {
	System.out.println("Aspect1 advice called after point.setX(x), where x was " + x);
    }
}
